Bug 129402 - editing default virtual host in s-c-httpd crashes
editing default virtual host in s-c-httpd crashes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-httpd (Show other bugs)
rawhide
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-08-07 18:30 EDT by G.Wolfe Woodbury
Modified: 2015-03-04 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-16 11:58:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description G.Wolfe Woodbury 2004-08-07 18:30:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
Under the "virtual hosts" tab, attempting to select the "edit" button
on the right (to modify ssl settings) causes a python traceback.

Version-Release number of selected component (if applicable):
system-config-httpd-1.2.1-1

How reproducible:
Always

Steps to Reproduce:
1.clean rawhide install of 2004-08-07
2.run s-c-httpd from root command line
3.select "virtual hosts" tab
4.highlight "default virtual host"
5.select "edit" button in right column

Actual Results:  
Traceback (most recent call last):
  File "/usr/share/system-config-httpd/ApacheConf.py", line 480, in
on_edit_vhost_button_clicked
    run_vhost_dialog (dialog)
  File "/usr/share/system-config-httpd/ApacheConf.py", line 430, in
run_vhost_dialog
    control.hydrate_vhost (clist.get_text (clist.selection [0], 0))
  File "/usr/share/system-config-httpd/ApacheControl.py", line 203, in
hydrate_vhost
    self._hydrate_vhost_page_3 (vhost)
  File "/usr/share/system-config-httpd/ApacheControl.py", line 426, in
_hydrate_vhost_page_3
    self.xml.get_widget ('ssl_log_entry').set_text (vhost.SSLLog)
AttributeError: 'NoneType' object has no attribute 'set_text'


Expected Results:  no error

Additional info:

see actual results
Comment 1 G.Wolfe Woodbury 2004-08-14 00:50:42 EDT
still occurring in 2004-08-12 rawhide
Comment 2 G.Wolfe Woodbury 2004-08-14 18:47:36 EDT
no change with python updates of 2004-08-14 rawhide
Comment 3 Phil Knirsch 2004-08-16 11:58:51 EDT
Found the problem, forgot to remove some ssl_log related things.

Fixed in s-c-h-1.2.1-2 and newer.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.